<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.2.0', 'to' => '3.2.1'),
	'files'		=> array(
		'adm/style/acp_ext_details.html',
		'adm/style/acp_ext_list.html',
		'adm/style/acp_jabber.html',
		'adm/style/acp_main.html',
		'adm/style/acp_profile.html',
		'adm/style/acp_styles.html',
		'adm/style/acp_update.html',
		'adm/style/admin.css',
		'adm/style/ajax.js',
		'adm/style/overall_header.html',
		'adm/style/simple_header.html',
		'assets/css/font-awesome.min.css',
		'assets/fonts/fontawesome-webfont.svg',
		'assets/javascript/core.js',
		'common.php',
		'composer.json',
		'composer.lock',
		'config/default/container/services_console.yml',
		'config/default/container/services_cron.yml',
		'config/default/container/services_password.yml',
		'config/default/container/services_twig.yml',
		'config/installer/container/services.yml',
		'config/installer/container/services_install_data.yml',
		'download/file.php',
		'ext/phpbb/viglink/acp/viglink_helper.php',
		'ext/phpbb/viglink/composer.json',
		'ext/phpbb/viglink/config/services.yml',
		'ext/phpbb/viglink/event/acp_listener.php',
		'ext/phpbb/viglink/event/listener.php',
		'ext/phpbb/viglink/ext.php',
		'ext/phpbb/viglink/language/en/viglink_module_acp.php',
		'ext/phpbb/viglink/migrations/viglink_ask_admin.php',
		'ext/phpbb/viglink/migrations/viglink_ask_admin_wait.php',
		'ext/phpbb/viglink/styles/all/template/event/acp_help_phpbb_stats_before.html',
		'ext/phpbb/viglink/styles/all/theme/viglink.css',
		'includes/acp/acp_board.php',
		'includes/acp/acp_extensions.php',
		'includes/acp/acp_jabber.php',
		'includes/acp/acp_main.php',
		'includes/acp/acp_styles.php',
		'includes/acp/acp_update.php',
		'includes/acp/info/acp_logs.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_content.php',
		'includes/functions_display.php',
		'includes/functions_jabber.php',
		'includes/functions_messenger.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_ban.php',
		'includes/mcp/mcp_main.php',
		'includes/mcp/mcp_post.php',
		'includes/mcp/mcp_topic.php',
		'includes/message_parser.php',
		'includes/startup.php',
		'includes/ucp/ucp_pm_compose.php',
		'includes/ucp/ucp_profile.php',
		'includes/ucp/ucp_remind.php',
		'language/en/acp/attachments.php',
		'language/en/acp/board.php',
		'language/en/acp/common.php',
		'language/en/acp/styles.php',
		'language/en/cli.php',
		'language/en/common.php',
		'language/en/help/bbcode.php',
		'language/en/install.php',
		'language/en/posting.php',
		'memberlist.php',
		'phpbb/auth/auth.php',
		'phpbb/avatar/driver/remote.php',
		'phpbb/avatar/driver/upload.php',
		'phpbb/cache/driver/file.php',
		'phpbb/cache/driver/memcache.php',
		'phpbb/cache/driver/memcached.php',
		'phpbb/console/command/extension/disable.php',
		'phpbb/console/command/extension/enable.php',
		'phpbb/console/command/fixup/fix_left_right_ids.php',
		'phpbb/console/command/fixup/update_hashes.php',
		'phpbb/console/command/update/check.php',
		'phpbb/cron/task/core/update_hashes.php',
		'phpbb/db/migration/data/v30x/.htaccess',
		'phpbb/db/migration/data/v310/.htaccess',
		'phpbb/db/migration/data/v31x/.htaccess',
		'phpbb/db/migration/data/v31x/add_jabber_ssl_context_config_options.php',
		'phpbb/db/migration/data/v31x/add_latest_topics_index.php',
		'phpbb/db/migration/data/v31x/add_smtp_ssl_context_config_options.php',
		'phpbb/db/migration/data/v31x/update_hashes.php',
		'phpbb/db/migration/data/v31x/v3111.php',
		'phpbb/db/migration/data/v31x/v3111rc1.php',
		'phpbb/db/migration/data/v320/.htaccess',
		'phpbb/db/migration/data/v320/add_help_phpbb.php',
		'phpbb/db/migration/data/v32x/.htaccess',
		'phpbb/db/migration/data/v32x/cookie_notice_p2.php',
		'phpbb/db/migration/data/v32x/load_user_activity_limit.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_index_p1.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_index_p2.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_index_p3.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_reduce_column_sizes.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_remove_duplicates.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_temp_index.php',
		'phpbb/db/migration/data/v32x/user_notifications_table_unique_index.php',
		'phpbb/db/migration/data/v32x/v321.php',
		'phpbb/db/migration/data/v32x/v321rc1.php',
		'phpbb/db/tools/mssql.php',
		'phpbb/db/tools/tools.php',
		'phpbb/db/tools.php',
		'phpbb/di/extension/core.php',
		'phpbb/event/data.php',
		'phpbb/event/php_exporter.php',
		'phpbb/extension/manager.php',
		'phpbb/extension/metadata_manager.php',
		'phpbb/files/filespec.php',
		'phpbb/help/controller/help.php',
		'phpbb/help/manager.php',
		'phpbb/install/helper/database.php',
		'phpbb/install/helper/file_updater/ftp_file_updater.php',
		'phpbb/install/module/install_data/task/create_search_index.php',
		'phpbb/install/module/obtain_data/task/obtain_email_data.php',
		'phpbb/install/module/update_filesystem/task/diff_files.php',
		'phpbb/module/module_manager.php',
		'phpbb/pagination.php',
		'phpbb/passwords/driver/md5_phpbb2.php',
		'phpbb/profilefields/type/type_date.php',
		'phpbb/request/request.php',
		'phpbb/search/fulltext_mysql.php',
		'phpbb/search/fulltext_native.php',
		'phpbb/session.php',
		'phpbb/template/base.php',
		'phpbb/template/context.php',
		'phpbb/template/template.php',
		'phpbb/template/twig/environment.php',
		'phpbb/template/twig/lexer.php',
		'phpbb/template/twig/loader.php',
		'phpbb/textformatter/data_access.php',
		'phpbb/textformatter/s9e/factory.php',
		'phpbb/textformatter/s9e/parser.php',
		'phpbb/textformatter/s9e/quote_helper.php',
		'phpbb/textformatter/s9e/renderer.php',
		'phpbb/user.php',
		'phpbb/version_helper.php',
		'posting.php',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/ajax.js',
		'styles/prosilver/template/bbcode.html',
		'styles/prosilver/template/display_options.html',
		'styles/prosilver/template/forum_fn.js',
		'styles/prosilver/template/forumlist_body.html',
		'styles/prosilver/template/index_body.html',
		'styles/prosilver/template/jumpbox.html',
		'styles/prosilver/template/mcp_front.html',
		'styles/prosilver/template/mcp_post.html',
		'styles/prosilver/template/mcp_topic.html',
		'styles/prosilver/template/overall_footer.html',
		'styles/prosilver/template/overall_header.html',
		'styles/prosilver/template/pagination.html',
		'styles/prosilver/template/search_results.html',
		'styles/prosilver/template/simple_header.html',
		'styles/prosilver/template/ucp_pm_viewmessage.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/theme/bidi.css',
		'styles/prosilver/theme/colours.css',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/forms.css',
		'styles/prosilver/theme/icons.css',
		'styles/prosilver/theme/links.css',
		'styles/prosilver/theme/print.css',
		'styles/prosilver/theme/responsive.css',
		'styles/prosilver/theme/stylesheet.css',
		'ucp.php',
		'viewforum.php',
		'viewonline.php',
		'viewtopic.php',
		'web.config',
		'assets/fonts/FontAwesome.otf',
		'assets/fonts/fontawesome-webfont.eot',
		'assets/fonts/fontawesome-webfont.ttf',
		'assets/fonts/fontawesome-webfont.woff',
		'assets/fonts/fontawesome-webfont.woff2',
		'images/icons/misc/fire.gif',
		'images/icons/misc/heart.gif',
		'images/icons/misc/radioactive.gif',
		'images/icons/misc/star.gif',
		'images/icons/misc/thinking.gif',
		'images/icons/smile/alert.gif',
		'images/icons/smile/info.gif',
		'images/icons/smile/mrgreen.gif',
		'images/icons/smile/question.gif',
		'images/icons/smile/redface.gif',
		'styles/prosilver/theme/images/announce_read.gif',
		'styles/prosilver/theme/images/announce_read_locked.gif',
		'styles/prosilver/theme/images/announce_read_locked_mine.gif',
		'styles/prosilver/theme/images/announce_read_mine.gif',
		'styles/prosilver/theme/images/announce_unread.gif',
		'styles/prosilver/theme/images/announce_unread_locked.gif',
		'styles/prosilver/theme/images/announce_unread_locked_mine.gif',
		'styles/prosilver/theme/images/announce_unread_mine.gif',
		'styles/prosilver/theme/images/forum_link.gif',
		'styles/prosilver/theme/images/forum_read.gif',
		'styles/prosilver/theme/images/forum_read_locked.gif',
		'styles/prosilver/theme/images/forum_read_subforum.gif',
		'styles/prosilver/theme/images/forum_unread.gif',
		'styles/prosilver/theme/images/forum_unread_locked.gif',
		'styles/prosilver/theme/images/forum_unread_subforum.gif',
		'styles/prosilver/theme/images/sticky_read.gif',
		'styles/prosilver/theme/images/sticky_read_locked.gif',
		'styles/prosilver/theme/images/sticky_read_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_read_mine.gif',
		'styles/prosilver/theme/images/sticky_unread.gif',
		'styles/prosilver/theme/images/sticky_unread_locked.gif',
		'styles/prosilver/theme/images/sticky_unread_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_unread_mine.gif',
		'styles/prosilver/theme/images/topic_moved.gif',
		'styles/prosilver/theme/images/topic_read.gif',
		'styles/prosilver/theme/images/topic_read_hot.gif',
		'styles/prosilver/theme/images/topic_read_hot_mine.gif',
		'styles/prosilver/theme/images/topic_read_locked.gif',
		'styles/prosilver/theme/images/topic_read_locked_mine.gif',
		'styles/prosilver/theme/images/topic_read_mine.gif',
		'styles/prosilver/theme/images/topic_unread.gif',
		'styles/prosilver/theme/images/topic_unread_hot.gif',
		'styles/prosilver/theme/images/topic_unread_hot_mine.gif',
		'styles/prosilver/theme/images/topic_unread_locked.gif',
		'styles/prosilver/theme/images/topic_unread_locked_mine.gif',
		'styles/prosilver/theme/images/topic_unread_mine.gif',
	),
	'binary'		=> array(
		'assets/fonts/fontawesome-webfont.ttf',
		'images/icons/misc/fire.gif',
		'images/icons/misc/heart.gif',
		'images/icons/misc/radioactive.gif',
		'images/icons/misc/star.gif',
		'images/icons/misc/thinking.gif',
		'images/icons/smile/alert.gif',
		'images/icons/smile/info.gif',
		'images/icons/smile/mrgreen.gif',
		'images/icons/smile/question.gif',
		'images/icons/smile/redface.gif',
		'styles/prosilver/theme/images/announce_read.gif',
		'styles/prosilver/theme/images/announce_read_locked.gif',
		'styles/prosilver/theme/images/announce_read_locked_mine.gif',
		'styles/prosilver/theme/images/announce_read_mine.gif',
		'styles/prosilver/theme/images/announce_unread.gif',
		'styles/prosilver/theme/images/announce_unread_locked.gif',
		'styles/prosilver/theme/images/announce_unread_locked_mine.gif',
		'styles/prosilver/theme/images/announce_unread_mine.gif',
		'styles/prosilver/theme/images/forum_link.gif',
		'styles/prosilver/theme/images/forum_read.gif',
		'styles/prosilver/theme/images/forum_read_locked.gif',
		'styles/prosilver/theme/images/forum_read_subforum.gif',
		'styles/prosilver/theme/images/forum_unread.gif',
		'styles/prosilver/theme/images/forum_unread_locked.gif',
		'styles/prosilver/theme/images/forum_unread_subforum.gif',
		'styles/prosilver/theme/images/sticky_read.gif',
		'styles/prosilver/theme/images/sticky_read_locked.gif',
		'styles/prosilver/theme/images/sticky_read_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_read_mine.gif',
		'styles/prosilver/theme/images/sticky_unread.gif',
		'styles/prosilver/theme/images/sticky_unread_locked.gif',
		'styles/prosilver/theme/images/sticky_unread_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_unread_mine.gif',
		'styles/prosilver/theme/images/topic_moved.gif',
		'styles/prosilver/theme/images/topic_read.gif',
		'styles/prosilver/theme/images/topic_read_hot.gif',
		'styles/prosilver/theme/images/topic_read_hot_mine.gif',
		'styles/prosilver/theme/images/topic_read_locked.gif',
		'styles/prosilver/theme/images/topic_read_locked_mine.gif',
		'styles/prosilver/theme/images/topic_read_mine.gif',
		'styles/prosilver/theme/images/topic_unread.gif',
		'styles/prosilver/theme/images/topic_unread_hot.gif',
		'styles/prosilver/theme/images/topic_unread_hot_mine.gif',
		'styles/prosilver/theme/images/topic_unread_locked.gif',
		'styles/prosilver/theme/images/topic_unread_locked_mine.gif',
		'styles/prosilver/theme/images/topic_unread_mine.gif',
	),
	'deleted'		=> array(),
);
